HyperTrackDocs
Workers

Patch Worker

Update worker information using the worker_handle

PATCH
/workers/{worker_handle}

Update worker information using the worker_handle

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

worker_handle*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/workers/string" \  -H "Content-Type: application/json" \  -d '{    "schedule": [      {        "start_time": "02:00",        "end_time": "18:00",        "day_of_week": "MONDAY"      },      {        "start_time": "02:00",        "end_time": "18:00",        "day_of_week": "TUESDAY"      },      {        "start_time": "02:00",        "end_time": "18:00",        "day_of_week": "WEDNESDAY"      }    ]  }'
{  "worker_handle": "james@ht.com",  "ops_group_handle": "store-sf",  "product_types": [    "plumbing",    "hardware"  ],  "device_id": "00000000-4636-461C-B5F6-7E4BEFC09575",  "profile": {    "workerId": "0012244",    "vehicle": "Ford F-150",    "zoneId": "4"  },  "status": {    "available": false,    "working": false  },  "schedule": [    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "MONDAY"    },    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "TUESDAY"    },    {      "start_time": "02:00",      "end_time": "18:00",      "day_of_week": "WEDNESDAY"    }  ],  "created_at": "2023-06-01T02:00:00Z",  "home": {    "address": "777 Story Rd, San Jose, CA 95122",    "geometry": {      "type": "Point",      "coordinates": [        -121.8624398,        37.3304521      ]    },    "radius": 100  },  "device_status": {    "data": {      "activity": "drive",      "recorded_at": "2023-10-03T20:42:44.969Z"    },    "value": "active"  }}
{  "detail": {},  "message": "string"}
{  "detail": {},  "message": "string"}
{  "detail": {    "<location>": {      "<field_name>": [        "string"      ]    }  },  "message": "string"}